%%%%%%%%%%%%%%%%%%%%%%%%%%%
define get_params_from_file()
%%%%%%%%%%%%%%%%%%%%%%%%%%%
%!%+
%\function{get_params_from_file}
%\synopsis{retrieves fit-parameter information from a file}
%\usage{Struct_Type params[] = get_params_from_file(String_Type params);}
%\seealso{load_par, get_params}
%!%-
{
  variable filename;
  switch(_NARGS)
  { case 1: filename = (); }
  { help(_function_name()); return; }

  variable fit_fun_before = get_fit_fun();
  variable params_before = get_params();

  load_par(filename);
  variable params = get_params();

  if(fit_fun_before != NULL)
  { fit_fun(fit_fun_before);
    set_params(params_before);
  }

  return params;
}
