%%%%%%%%%%%%%%%%%%%%%%%
define read_sixte_lc(fname){
%%%%%%%%%%%%%%%%%%%%%%%
%!%+
%\function{read_sixte_lc}
%\synopsis{reads a LC created by the SIXTE makelc tool}
%\usage{read_sixte_lc(filename);}
%!%-
   variable lc = struct{time,rate,error};
   variable raw = fits_read_table(fname);

   variable dt = fits_read_key(fname,"TIMEDEL");
   
   variable n = length(raw.counts);
   lc.time = dt*[1:n];
   lc.rate = raw.counts/dt;
   lc.error = sqrt(raw.counts)/dt;
   
   return lc;
}
